
From: Anton Blanchard <anton@samba.org>

- nop out proc_device_tree_add_node if CONFIG_PROC_DEVICETREE=n

- stubs for procfs-related functions when CONFIG_PROC_DEVICETREE=n



---

 arch/ppc64/kernel/prom.c |   12 ++++++++++++
 include/linux/proc_fs.h  |    8 +++++++-
 2 files changed, 19 insertions(+), 1 deletion(-)

diff -puN arch/ppc64/kernel/prom.c~ppc64-no_device_tree arch/ppc64/kernel/prom.c
--- 25/arch/ppc64/kernel/prom.c~ppc64-no_device_tree	2004-01-21 10:43:01.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/prom.c	2004-01-21 10:43:01.000000000 -0800
@@ -2560,6 +2560,7 @@ int of_remove_node(struct device_node *n
 	return 0;
 }
 
+#ifdef CONFIG_PROC_DEVICETREE
 /*
  * Add a node to /proc/device-tree.
  */
@@ -2592,6 +2593,17 @@ static void remove_node_proc_entries(str
 	if (np->pde)
 		remove_proc_entry(np->pde->name, parent->pde);
 }
+#else /* !CONFIG_PROC_DEVICETREE */
+static void add_node_proc_entries(struct device_node *np)
+{
+	return;
+}
+
+static void remove_node_proc_entries(struct device_node *np)
+{
+	return;
+}
+#endif /* CONFIG_PROC_DEVICETREE */
 
 /*
  * Fix up the uninitialized fields in a new device node:
diff -puN include/linux/proc_fs.h~ppc64-no_device_tree include/linux/proc_fs.h
--- 25/include/linux/proc_fs.h~ppc64-no_device_tree	2004-01-21 10:43:01.000000000 -0800
+++ 25-akpm/include/linux/proc_fs.h	2004-01-21 10:43:01.000000000 -0800
@@ -133,8 +133,14 @@ extern void proc_tty_unregister_driver(s
  */
 struct device_node;
 extern void proc_device_tree_init(void);
+#ifdef CONFIG_PROC_DEVICETREE
 extern void proc_device_tree_add_node(struct device_node *, struct proc_dir_entry *);
-
+#else /* !CONFIG_PROC_DEVICETREE */
+static inline void proc_device_tree_add_node(struct device_node *np, struct proc_dir_entry *pde)
+{
+	return;
+}
+#endif /* CONFIG_PROC_DEVICETREE */
 /*
  * proc_rtas.c
  */

_
